//*****************************************************************************
//
// Имя файла    : 'pluginwrap.cpp'
// Описание     : Плагин (обертка)
// Автор        : Межлумов В.Ш.
//
//*****************************************************************************

#include "pluginwrap.h"


// ============================================================================
//
///                              Конструктор
//
// ============================================================================

CPluginWrap::CPluginWrap () :
    QObject(),
    m_plugin(this)
{
}


// ============================================================================
//
///                              Деструктор
//
// ============================================================================

CPluginWrap::~CPluginWrap ()
{
}


// ============================================================================
///                 Запрос указателя на объект плагина
// ============================================================================
/// \return     Указатель на объект плагина
// ============================================================================

CPlugin* CPluginWrap::GetPlugin (void)
{
    return &m_plugin;
}
